AUTHSELECT(8)

NAME
authselect - memilih sumber identitas sistem dan autentikasi.

SINOPSIS

    authselect [--debug] [--trace] [--warn] perintah [opsi perintah]

DESKRIPSI

Authselect is a tool to configure system identity and authentication sources and providers by selecting a specific profile. Profile is a set of files that describes how the resulting system configuration will look like. When a profile is selected, authselect will create nsswitch.conf(5) and PAM(8) stack to use identity and authentication sources defined by the profile.

Jika set profil yang disediakan tidak memadai, administrator dapat membuat profil khusus dengan menempatkannya di direktori profil khusus ("/etc/authselect/custom"). Dengan melakukan hal tersebut, profil tersebut dapat segera digunakan oleh authselect. Lihat authselect-profiles(5) untuk informasi lebih lanjut tentang memperluas profil yang ada.

IKUT SERA (OPT-IN) KE AUTHSELECT

Authselect tidak akan menyentuh konfigurasi Anda yang sudah ada kecuali jika konfigurasi tersebut telah dibuat olehnya. Jika Anda ingin mulai menggunakan authselect untuk mengonfigurasi autentikasi sistem Anda, silakan panggil authselect select dengan parameter --force terlebih dahulu (misalnya authselect select sssd --force). Parameter --force memberi tahu authselect bahwa tidak apa-apa untuk menimpa konfigurasi non-authselect yang ada (lihat deskripsi di bawah). Menggunakan parameter --force akan secara otomatis menghasilkan cadangan (backup) konfigurasi Anda saat ini, sehingga jika Anda ingin kembali, Anda dapat memulihkannya dengan perintah authselect backup-restore (lihat deskripsi di bawah).

BERHENTI MENGGUNAKAN (OPT-OUT) AUTHSELECT

Untuk menghentikan authselect mengelola konfigurasi Anda, jalankan authselect opt-out. Ini akan menghapus semua konfigurasi authselect dari sistem Anda dan Anda kemudian dapat memodifikasi konfigurasi Anda secara manual.

PERINTAH YANG TERSEDIA

Untuk melihat daftar semua perintah yang tersedia, jalankan authselect tanpa parameter apa pun. Untuk mencetak bantuan untuk perintah yang dipilih, jalankan authselect PERINTAH --help.

select profile_id [fitur] [-f, --force] [-q, --quiet] [-b] [--backup=NAMA]
    Mengaktifkan profil yang diinginkan. Lihat deskripsi profil dengan perintah show, untuk mencantumkan fitur opsional spesifik profil.

    --force, -f
        Menulis perubahan meskipun konfigurasi sebelumnya tidak dibuat oleh authselect melainkan oleh alat lain atau melalui perubahan manual. Opsi ini akan secara otomatis mencadangkan berkas sistem sebelum menulis perubahan apa pun kecuali opsi --nobackup ditetapkan.

    -b
        Mencadangkan berkas sistem sebelum mengaktifkan profil yang dipilih. Cadangan akan disimpan di "/var/lib/authselect/backups"/NAMA. Waktu saat ini dengan string unik digunakan sebagai nama cadangan. Ini adalah pintasan untuk --backup=.

    --backup=NAMA
        Mencadangkan berkas sistem sebelum mengaktifkan profil yang dipilih. Cadangan akan disimpan di "/var/lib/authselect/backups"/NAMA. Waktu saat ini dengan string unik digunakan sebagai nama jika tidak ada nilai yang diberikan.

    --nobackup
        Jangan mencadangkan konfigurasi sistem meskipun --force ditetapkan.

    --quiet, -q
        Perintah tidak akan mencetak pesan informasi apa pun seperti persyaratan profil tambahan atau lokasi cadangan. Kesalahan (errors) tetap dicetak.

apply-changes [-b] [--backup=NAMA]
    Menerapkan ulang profil yang saat ini dipilih. Jika templat profil diperbarui, perintah ini dapat digunakan untuk membuat ulang konfigurasi sistem saat ini guna menerapkan perubahan tersebut pada sistem. Perintah ini hanya akan menerapkan ulang perubahan jika konfigurasi yang ada adalah konfigurasi authselect yang valid, jika tidak, kesalahan akan dikembalikan.

    -b
        Mencadangkan berkas sistem sebelum menerapkan perubahan. Cadangan akan disimpan di "/var/lib/authselect/backups"/NAMA. Waktu saat ini dengan string unik digunakan sebagai nama cadangan. Ini adalah pintasan untuk --backup=.

    --backup=NAMA
        Mencadangkan berkas sistem sebelum menerapkan perubahan. Cadangan akan disimpan di "/var/lib/authselect/backups"/NAMA. Waktu saat ini dengan string unik digunakan sebagai nama jika tidak ada nilai yang diberikan.

list
    Menampilkan daftar profil yang tersedia.

list-features profile_id
    Daftar semua fitur yang tersedia dalam profil yang diberikan. Catatan: Ini hanya akan mencantumkan fitur tanpa deskripsi apa pun. Harap baca dokumentasi profil dengan show untuk melihat apa yang dilakukan fitur tersebut.

show profile_id
    Cetak informasi tentang profil.

requirements profile_id [fitur]
    Cetak informasi tentang persyaratan profil.

current [-r, --raw]
    Cetak informasi tentang profil yang saat ini dipilih. Jika opsi --raw ditentukan, perintah akan mencetak parameter mentah seperti saat diteruskan ke perintah select alih-alih keluaran terformat.

check
    Periksa apakah konfigurasi saat ini valid (baik yang dibuat oleh authselect atau tidak ada sisa dari konfigurasi authselect sebelumnya).

test profile_id [opsi] [fitur]
    Cetak konten berkas yang dihasilkan oleh authselect tanpa benar-benar menulis apa pun ke konfigurasi sistem.

    -a, --all
        Cetak konten semua berkas.

    -n, --nsswitch
        Cetak konten nsswitch.conf.

    -s, --system-auth
        Cetak konten system-auth.

    -p, --password-auth
        Cetak konten password-auth.

    -c, --smartcard-auth
        Cetak konten smartcard-auth.

    -f, --fingerprint-auth
        Cetak konten fingerprint-auth.

    -o, --postlogin
        Cetak konten postlogin.

    -d, --dconf-db
        Cetak konten basis data dconf.

    -l, --dconf-lock
        Cetak konten kunci dconf.

enable-feature fitur [-b] [--backup=NAMA] [-q, --quiet]
    Aktifkan fitur dalam profil yang saat ini dipilih.

    -b
        Cadangkan berkas sistem sebelum mengaktifkan fitur. Cadangan akan disimpan di "/var/lib/authselect/backups"/NAMA. Waktu saat ini dengan string unik digunakan sebagai nama cadangan. Ini adalah pintasan untuk --backup=.

    --backup=NAMA
        Cadangkan berkas sistem sebelum mengaktifkan fitur. Cadangan akan disimpan di "/var/lib/authselect/backups"/NAMA. Waktu saat ini dengan string unik digunakan sebagai nama jika tidak ada nilai yang diberikan.

    --quiet, -q
        Perintah tidak akan mencetak pesan informasi apa pun seperti persyaratan profil tambahan atau lokasi cadangan. Kesalahan (errors) tetap dicetak.

disable-feature fitur [-b] [--backup=NAMA]
    Nonaktifkan fitur dalam profil yang saat ini dipilih.

    -b
        Cadangkan berkas sistem sebelum menonaktifkan fitur. Cadangan akan disimpan di "/var/lib/authselect/backups"/NAMA. Waktu saat ini dengan string unik digunakan sebagai nama cadangan. Ini adalah pintasan untuk --backup=.

    --backup=NAMA
        Cadangkan berkas sistem sebelum menonaktifkan fitur. Cadangan akan disimpan di "/var/lib/authselect/backups"/NAMA. Waktu saat ini dengan string unik digunakan sebagai nama jika tidak ada nilai yang diberikan.

is-feature-enabled feature
    Check if feature is currently enabled in the selected profile.

create-profile NAMA [--vendor,-v] [opsi]
    Buat profil kustom baru bernama NAMA. Profil dapat didasarkan pada profil yang sudah ada di mana templat profil baru disalin dari profil dasar atau tautan simbolik ke berkas-berkas ini dibuat jika opsi tersebut dipilih.

    --vendor,-v
        Profil baru adalah profil vendor alih-alih profil kustom. Lihat authselect-profiles(5) untuk informasi lebih lanjut tentang tipe profil.

    --base-on=BASE-ID, -b=BASE-ID
        Profil baru akan didasarkan pada profil bernama BASE-ID. Lokasi profil dasar ditentukan dengan langkah-langkah berikut:

            1. Jika BASE-ID dimulai dengan awalan custom/ maka itu adalah profil kustom.

            2. Coba jika BASE-ID ditemukan di profil vendor.

            3. Coba jika BASE-ID ditemukan di profil bawaan (default).

            4. Kembalikan galat (error).

    --base-on-default
        Profil dasar adalah profil bawaan (default) meskipun ditemukan juga di dalam profil vendor.

    --symlink-meta
        Berkas meta, seperti README dan REQUIREMENTS akan berupa tautan simbolik ke berkas profil asal alih-alih salinannya.

    --symlink-nsswitch
        Templat nsswitch.conf akan menjadi tautan simbolik ke berkas profil asal alih-alih salinannya.

    --symlink-pam
        Templat PAM akan menjadi tautan simbolik ke berkas profil asal alih-alih salinannya.

    --symlink-dconf
        Templat dconf akan menjadi tautan simbolik ke berkas profil asal alih-alih salinannya.

    --symlink=FILE,-s=FILE
        Buat tautan simbolik untuk berkas templat FILE alih-alih membuat salinannya. Opsi ini dapat diberikan beberapa kali.

PERINTAH CADANGAN (BACKUP)

Perintah-perintah ini dapat digunakan untuk mengelola konfigurasi yang dicadangkan.

backup-list [-r, --raw]
    Cetak cadangan yang tersedia. Jika opsi --raw ditentukan, perintah hanya akan mencetak nama cadangan tanpa pemformatan dan informasi tambahan apa pun.

backup-remove BACKUP
    Hapus cadangan bernama BACKUP secara permanen.

backup-restore BACKUP
    Pulihkan konfigurasi dari cadangan bernama BACKUP. Catatan: ini akan menimpa konfigurasi saat ini.

PERINTAH LAINNYA

opt-out
    Hapus konfigurasi authselect. Ini akan memulihkan konfigurasi nsswitch dan PAM di bawah lokasi sistemnya dan authselect tidak lagi mengelolanya. Jalankan authselect select untuk ikut serta (opt-in) kembali.

OPSI UMUM

Opsi-opsi ini tersedia untuk semua perintah.

--debug
    Cetak informasi debugging dan pesan galat.

--trace
    Cetak informasi tentang apa yang sedang dilakukan oleh alat tersebut.

--warn
    Cetak informasi tentang situasi tak terduga yang tidak memengaruhi eksekusi program tetapi mungkin mengindikasikan beberapa situasi yang tidak diinginkan (misalnya berkas tak terduga di direktori profil).

PEMECAHAN MASALAH

  Bagaimana saya bisa tahu jika sistem saya menggunakan authselect?

Gunakan authselect check. Outputnya akan memberi tahu Anda jika Anda memiliki 1) konfigurasi yang dihasilkan oleh authselect 2) konfigurasi non-authselect atau 3) konfigurasi yang dihasilkan oleh authselect tetapi dimodifikasi secara manual pada suatu titik.

  Apakah nsswitch.conf seharusnya menjadi tautan simbolik sekarang?

Authselect menghasilkan konfigurasi sistem Anda dari nol dan menyimpannya di "/etc/authselect". Berkas sistem kemudian dibuat sebagai tautan simbolik ke direktori ini. Tautan simbolik digunakan untuk memperjelas bahwa authselect sekarang memiliki konfigurasi Anda dan harus digunakan alih-alih modifikasi manual apa pun.

  Galat (Error): Perubahan tak terduga pada konfigurasi terdeteksi.

Sebagai contoh:

    [error] [/etc/authselect/nsswitch.conf] tidak ada!
    [error] [/etc/nsswitch.conf] bukan tautan simbolik!
    [error] [/etc/nsswitch.conf] tidak dibuat oleh authselect!
    [error] Perubahan tak terduga pada konfigurasi terdeteksi.
    [error] Menolak untuk mengaktifkan profil kecuali perubahan tersebut dihapus atau penimpaan diminta.

Ini berarti konfigurasi Anda tidak dikenal oleh authselect sehingga tidak akan dimodifikasi. Untuk memperbaikinya, silakan panggil authselect select dengan parameter --force untuk menyatakan bahwa tidak apa-apa untuk menimpanya.

KODE KEMBALI (RETURN CODES)

authselect dapat mengembalikan kode keluar berikut:

    • 0: Berhasil.

    • 1: Galat umum.

    • 2: Profil atau konfigurasi tidak ditemukan atau sistem tidak dikonfigurasi dengan authselect.

    • 3: Konfigurasi saat ini tidak valid, ia telah diedit tanpa authselect.

    • 4: Konfigurasi sistem harus ditimpa untuk mengaktifkan profil authselect, parameter --force diperlukan.

    • 5: Perintah yang dieksekusi harus dijalankan sebagai root.

    • 6: Tidak ada konfigurasi yang terdeteksi.

BERKAS YANG DIHASILKAN

Authselect membuat dan memelihara berkas berikut untuk mengonfigurasi identitas sistem dan penyedia autentikasi dengan benar.

"/etc/nsswitch.conf"
    Berkas konfigurasi Name Service Switch.

"/etc/pam.d"/system-auth
    Tumpukan PAM yang disertakan dari hampir semua berkas konfigurasi layanan individual.

"/etc/pam.d"/password-auth, smartcard-auth, fingerprint-auth
    Tumpukan PAM ini ditujukan untuk aplikasi yang menangani autentikasi dari berbagai jenis perangkat melalui percakapan individual yang berjalan bersamaan alih-alih satu percakapan agregat.

"/etc/pam.d"/postlogin
    Tujuan dari tumpukan PAM ini adalah untuk menyediakan tempat umum bagi semua modul PAM yang harus dipanggil setelah tumpukan yang dikonfigurasi dalam system-auth atau berkas konfigurasi PAM umum lainnya. Ini disertakan dari semua berkas konfigurasi layanan individual yang menyediakan layanan login dengan akses shell atau berkas. CATATAN: modul dalam berkas konfigurasi postlogin dijalankan tanpa memandang keberhasilan atau kegagalan modul dalam berkas konfigurasi system-auth.

"/etc/dconf/db/distro.d"/"20-authselect"
    Perubahan pada basis data dconf. Kasus penggunaan utama dari berkas ini adalah untuk menetapkan perubahan pada layar login gnome guna mengaktifkan atau menonaktifkan autentikasi smartcard dan sidik jari.

"/etc/dconf/db/distro.d"/locks/"20-authselect"
    Berkas ini menentukan kunci (locks) pada nilai yang ditetapkan dalam basis data dconf.

LIHAT JUGA

authselect-profiles(5), authselect-migration(7), nsswitch.conf(5), PAM(8)